libbuzztrax-gst1-0.10.2-13.1.i586.rpm


Advertisement

Description

libbuzztrax-gst1 - Core support classes for buzztrax based applications

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libbuzztrax-gst1-0.10.2-13.1.i586.rpm
Package name libbuzztrax-gst1
Package version 0.10.2
Package release 13.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://buzztrax.org
License GPL-2.0-or-later
Maintainer -
Download size 38.17 KB
Installed size 89.92 KB
This package provides gst support classes for buzztrax based applications.

Alternatives

Package Version Architecture Repository
libbuzztrax-gst1-0.10.2-49.1.i586.rpm 0.10.2 i586 Multimedia Apps
libbuzztrax-gst1-0.10.2-43.5.x86_64.rpm 0.10.2 x86_64 Multimedia Apps
libbuzztrax-gst1-0.10.2-13.1.x86_64.rpm 0.10.2 x86_64 openSUSE Oss
libbuzztrax-gst1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgstbase-1.0.so.0 -
libgstcontroller-1.0.so.0 -
libgstreamer-1.0.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -

Provides

Name Value
libbuzztrax-gst.so.1 -
libbuzztrax-gst1 = 0.10.2-13.1
libbuzztrax-gst1(x86-32) = 0.10.2-13.1
libgstbuzztard0 = 0.10.2

Obsoletes

Name Value
libgstbuzztard0 < 0.10.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libbuzztrax-gst1-0.10.2-13.1.i586.rpm
Source Package buzztrax-0.10.2-13.1.src.rpm

Install Howto

Install libbuzztrax-gst1 rpm package:

# zypper install libbuzztrax-gst1

Files

Path
/usr/lib/libbuzztrax-gst.so.1
/usr/lib/libbuzztrax-gst.so.1.1.0

Changelog

2019-04-04 - olaf@aepfle.de
- Use gcc8 in SLE_12
2019-01-18 - davejplater@gmail.com
- Removed fluidsynth from the build until it catches up with
version 2.x.x
2018-07-04 - bjorn.lie@gmail.com
- Drop pkgconfig(gconf-2.0) BuildRequires and the macro
gconf_schemas_requires: No longer needed, nor used.
2018-06-18 - davejplater@gmail.com
- Fix Factory/Tumbleweed build failure with buzztrax-newfix.patch.
2018-06-11 - davejplater@gmail.com
- Fix gcc8 build failure with -Wno-error=restrict.
2018-03-24 - davejplater@gmail.com
- Fix build with -Wno-error=incompatible-pointer-types reported
upstream https://github.com/Buzztrax/buzztrax/issues/74
2018-01-05 - davejplater@gmail.com
- Fix build against fluidsynth-1.1.9 by adding workaround flag
- Wno-error=deprecated-declarations. Reported upstream:
https://github.com/Buzztrax/buzztrax/issues/74
2017-10-30 - davejplater@gmail.com
- Fixed spec generated baselibs.conf by adding libbuzztrax-gst.
2017-04-03 - davejplater@gmail.com
- Fix gcc7 build with buzztrax-gcc7fix.patch and the following
CFLAGS  -Wno-error=format-truncation= and
- Wno-error=format-overflow=
2016-06-28 - davejplater@gmail.com
- Removed workaround -Wno-error=misleading-indentation flag and
made buzztrax-misleading-indentation.patch from upstream git to
fix boo#985062 .

See Also

Package Description
libbuzztrax-gst1-32bit-0.10.2-13.1.x86_64.rpm Core support classes for buzztrax based applications
libbuzztrax-ic-devel-0.10.2-13.1.i586.rpm Development files for libbuzztrax-ic
libbuzztrax-ic-devel-0.10.2-13.1.x86_64.rpm Development files for libbuzztrax-ic
libbuzztrax-ic1-0.10.2-13.1.i586.rpm Interaction controller support classes for buzztrax based applications
libbuzztrax-ic1-0.10.2-13.1.x86_64.rpm Interaction controller support classes for buzztrax based applications
libbuzztrax-ic1-32bit-0.10.2-13.1.x86_64.rpm Interaction controller support classes for buzztrax based applications
libbytesize-devel-1.4-1.4.i586.rpm Development files for LibBytesize
libbytesize-devel-1.4-1.4.x86_64.rpm Development files for LibBytesize
libbytesize-lang-1.4-1.4.noarch.rpm Translations for package libbytesize
libbytesize1-1.4-1.4.i586.rpm A library for working with sizes in bytes
libbytesize1-1.4-1.4.x86_64.rpm A library for working with sizes in bytes
libbz2-1-1.0.6-44.1.i586.rpm The bzip2 runtime library
libbz2-1-1.0.6-44.1.x86_64.rpm The bzip2 runtime library
libbz2-1-32bit-1.0.6-44.1.x86_64.rpm The bzip2 runtime library
libbz2-devel-1.0.6-44.1.i586.rpm The bzip2 runtime library development files
Advertisement
Advertisement